# NOTE: Derived from blib/lib/Graphics/ColorPicker.pm.
# Changes made here will be lost when autosplit again.
# See AutoSplit.pm.
package Graphics::ColorPicker;

#line 476 "blib/lib/Graphics/ColorPicker.pm (autosplit into blib/lib/auto/Graphics/ColorPicker/picker.al)"
#################################################
# return color picker page
#
# input:	darkimage,	# dark image path/file
#		liteimage,	# lite image path/file
#		$size,		# image size (pixels)
#		$bsize,		# button size (pixels)
#		greyimage	# grey stripe path/file
#
# returns:	html text for color picker page
#
sub picker {
  my ($drkimg,$litimg,$size,$bsize,$gryimg) = @_;
  my $cx = 10;			# offset of color image
  my $cy = 10;
  my $gx = 430;			# offset of grey image
  my $gy = 90;
  my $gen_name = script_name;
  my $img = $image ? $litimg : $drkimg;
  my ($fmie,$umd) = &_force_mdown;
  my $head = q|<html>
<head>
<style type="text/css">
  #cpi {position:absolute; top:| . $cy . q|; left:| . $cx . q|;}
  #gpi {position:absolute; top:| . $gy . q|; left:| . $gx . q|;}
</style>
<script language=javascript1.2>
dcache = new Image();
dcache.src = "| . $drkimg . q|";
lcache = new Image();
lcache.src = "| . $litimg . q|";
var c24flip = | . $image . q|;
var stimg = "| . $_ . q|";
var pict;
parent.mv = |. ($_ = $size >> 1) . q|;
parent.blim = |. ($size - $bsize) . q|;
parent.sf = |. (228 / $_) . q|;
function msie_wa(e,type) {
  var uri = '| . $gen_name . 
  q|' + '?what=' + type + '&scale=' + pict.plot.width + '&flip=' + c24flip;
  pict.links[0].href = uri;
  return true;
}|;

  $head .= q|
function getxy(e,cx,cy) {
  var x;
  var y;
  if (e.which == 1 | .'||'. q| e.button == 1) {
    if (e.clientX) {
      x = e.clientX; y = e.clientY;
    } else {
      x = e.pageX; y = e.pageY;
    }
    x -= cx;
    y -= cy;
    if (x < 0) { x = 0;}
    if (y < 0) { y = 0;}
    parent.px = x;
    parent.py = y;
    return true;
  }
  return false;
}

function cpxy(e) {
  if (getxy(e,| .$cx.','.$cy. q|)) { parent.colorpluck(true);}
  return false;
}

function gpxy(e) {
  if (getxy(e,0,| .$gy. q|)) { parent.greypluck(true);}
  return false;
}|

	if $umd;

$head .= q|
var isID = 0;
var isAll = 0;
var isLayers = 0;
function loaded() {
  if ( pict ) { return false;}
  if (document.getElementsById) { isID = 1; }
  if (document.layers) { isLayers = 1; }
  if (document.all) { isAll = 1; }
  if(navigator.appName.indexOf('Netscape') != -1) {
    document.captureEvents=(Event.MOUSEOVER);
  }
  if (isLayers) {
    pict = document.layers['cpi'].document;
  } else if (isID) {
    pict = document.getElementById('cpi').document;
  } else if (isAll) {
    pict = document.all['cpi'].document;
  } else {
    pict = document;
  }
}

</script>
</head>
|;

  my ($cref,$gref);
  if ($umd) {
    $cref = q|"javascript:void('');//" onMouseDown="return(cpxy(event));"|;
    $gref = q|"javascript:void('');//" onMouseDown="return(gpxy(event));"|; 
  }
  elsif ($fmie || &env_dumb_browser || $ENV{QUERY_STRING} !~ /jsl=1/i) {
    $cref = q|"javascript:void('');//" onMouseDown="return(msie_wa(event,'color'));"|;
    $gref = $gen_name . q|?what=grey|;
  } else {
    $cref = q|'javascript:"<html><body onload=parent.colorpluck()></body></html>"//'|;
    $gref = q|'javascript:"<html><body onload=parent.greypluck()></body></html>"//'|;
  }

  my $c24m = q|
<div ID=cpi><a target=_data
href=| . $cref . q|
><img name="plot" src="| . $img . q|" width=|. $size .q| height=|. $size .q| alt="" border=0 ismap></a></div>
|;

  my $cgrey = q|
<div ID=gpi><a target=_data
href=| . $gref . q|
><img src="|. $gryimg. q|" width=10 height=256 alt="" border=1 ismap></a></div>
|;

  return $head . q|<body bgcolor="#ffffff" onLoad="loaded();">
<table cellspacing=0 cellpadding=0 border=0 width=100%>
<tr>
  <tdcolspan=2><font size=1>&nbsp;</font></td></tr>
<tr align=center valign=middle>
  <td>|. $c24m . q|</td>
  <td>|. $cgrey . q|</td></tr>
</table>
</body>
</html>
|;
} # end picker page

# end of Graphics::ColorPicker::picker
1;
